This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 140105 - xorg-x11 missing support for ATI Radeon X 700 Pro
xorg-x11 missing support for ATI Radeon X 700 Pro
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-19 14:54 EST by raxet
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-24 10:31:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description raxet 2004-11-19 14:54:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
Missing support for ATI X 700 Pro PCI Express in xorg-x11 under FC3 
relase.

Work around:

Was able however, to load with new mobo (Intel D915GEV) the pci 
express ATI card X 700 Pro by adding, or forcing (?) ChipID for ATI 
Radeon X 600 in xorg.conf under Device. You can find the id by 
scrolling through the 



Version-Release number of selected component (if applicable):
xorg-x11-6.8.1-12

How reproducible:
Always

Steps to Reproduce:
1. Try to probe for ATI X 700 Pro either on FC3 new install
2. Fails
3.
    

Actual Results:  Card is not detected

Additional info:

See work around above in Description
Comment 1 raxet 2004-11-19 15:10:57 EST
Er, to finish my incomplete description on how to find the ChipID for 
the X 600, go to /var/log and view the Xorg.0.log file. Do a search 
for X600 and locate the id.
Comment 2 Mike A. Harris 2004-11-19 16:07:25 EST
I have analyzed the "radeon" driver, and unfortunately it does not
support the Radeon X700.  It seems that this chip was released
after ATI added support for the X600/X800 and other variants.

The X700 is probably similar enough to the X600 or X800 to work
by using the ChipId to lie about the chip, but sometimes new
chips have ASIC changes that require additional driver modifications.

In order to have this chip properly supported like the others,
please file a bug report in the X.Org bugzilla at freedesktop.org
requesting support for the X700 chipset.

    http://bugs.freedesktop.org in the 'xorg' component.

Once you have filed your enhancement request at X.Org, please
paste the URL here, and we will track the enhancment in the
X.Org tracker, and work with ATI to get this chip supported
correctly as soon as possible.  My assumption is that it will
be simple to add support for this, so hopefully it will get
included in the upcoming X.Org 6.8.2 release, which we will
be shipping as a Fedora Core 3 update sometime in the new
year.

Thanks in advance.
Comment 3 raxet 2004-11-20 00:37:15 EST
Here is the URL you requested:

https://bugs.freedesktop.org/show_bug.cgi?id=1873
Comment 4 Mike A. Harris 2004-11-24 10:31:18 EST
Ok thanks for the URL.  We will be tracking this in the freedesktop
bugzilla now, and will review it from time to time, and examine
any patches that become available.

Setting status to "UPSTREAM" for tracking.

Note You need to log in before you can comment on or make changes to this bug.